
QGIS Application - Bug report #301

derived area is calculated wrong

2006-09-23 03:44 AM - Redmine Admin

Status: Closed

Priority: Low

Assignee: Magnus Homann

Category: Vectors

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10360

Description

Please refer to the thread where I'm reporting this in detail:

[http://lists.qgis.org/pipermail/qgis-developer/2006-August/000599.htm]l

Maciek

History

#1 - 2006-10-18 12:47 PM - Gavin Macaulay -

The link in the above ticket should be:

http://lists.qgis.org/pipermail/qgis-developer/2006-August/000599.html

#2 - 2006-12-03 05:29 PM - Martin Dobias

Calculated area of a feature depends on the ellipsoid set in QGIS options. However also after setting ellipsoid 1866 the calculated area isn't correct. Needs

further investigation.

Please could you give some other examples with incorrectly calculated area? Preferably simple features - e.g. rectangle. Does it calculate area correctly for

layer with unprojected coordinates?

The code for calculating the area has been borrowed from GRASS, thus teoretically they should give the same results.

Do you know any utility that could help to check whether the area is correct? E.g. how to do it in grass?

#3 - 2006-12-04 12:08 PM - Redmine Admin

Replying to [comment:2 wonder]:

The code for calculating the area has been borrowed from GRASS, thus teoretically they should

give the same results.

Do you know any utility that could help to check whether the area is correct? E.g. how to do it

in grass?
Grab a GRASS location (the database that GRASS works on): [http://grass.itc.it/sampledata/spearfish_grass60data-0.3.tar.gz]

1. install GRASS; you don't need the latest and gratest - anything above 6.0 will do

2. run GRASS

3. for DATABASE, enter the path to the directory where you unpacked the spearfish location; put "spearfish60" for LOCATION and "PERMANENT" for

MAPSET

#set the region of interest

4. g.region vect=your_vector_map

    1. spawn a display

5. d.mon x0

    2. display vector

6. d.vect your_vector_map

    3. query it

7. d.what.vect -x ; l-click the polygon

The area of the of polygon is printed to the terminal.

You can create any new vector polygon with v.digit or QGIS GRASS edit.

v.digit:

1. v.digit -n map_name

2. (GUI pops up) draw a boundary and a single centroid inside

3. exit v.digit; the vector is written - display it, query

QGIS GRASS edit:

1. GRASS plugin > Open mapset 

2. GRASS plugin > Create new GRASS vector

3. draw a boundary and centroid inside

Make sure the boundary starting and ending nodes are snapped. Remember that GRASS polygon ("area" in GRASS lingo) is made of a boundary and

centroid.

Cheers,

Maciek

#4 - 2006-12-04 05:21 PM - Martin Dobias

Thanks for the instructions, I'll try to do some investigation on this.

#5 - 2006-12-29 12:36 PM - Gary Sherman

Moved to 0.8.1

#6 - 2006-12-30 04:45 AM - maris-gis-gmail-com -

Same applys to lenght measurements in 0.8.0 on Linux. 

I loaded Spearfish roads as shapefile (from GRASS export). Projection was set automaticly to one exported from GRASS (looked OK). Measured single
road length with "Measure length" tool. Looked OK (~860m), but "Identify" tool shoved only 0.040 km.

#7 - 2007-01-27 11:56 AM - Magnus Homann

Measurements have changed a bit in trunk. I don't think it makes any difference, bu it's worth a check. I'm not GRASS-savy myself.

#8 - 2007-02-05 05:16 AM - Magnus Homann

Length measurment errror should be fixed in trunk now ().

#9 - 2007-02-05 05:59 AM - Magnus Homann

Downloaded the full_circle.shp and tested it in trunk . With projections off, the areas were close enough (> 10 digits). With projections on, the error was as

reported (less than 0.1%)

#10 - 2007-02-05 07:13 AM - Magnus Homann

- Status changed from Open to In Progress

OK, I looked a bit at GRASS. You can calculate the area either as planimetric or ellipsoidal. In qgis 0.9, planimetric is selected when projectin is off, else it

is ellipsoidal. The ellips is taken from the global Options-> Projections dialog.

If the reported value from GRASS was in fact the planimetric area, it reports the same as qgis does.

I will investigate this further if someone can report the planimetric and ellipsodial areas of the full_circle.shp (given the relevant NAD27 projection). Until

then I put it as fixed in 0.9, but I'm glad to reopen it.

(*) Why not from canvas projection ?

#11 - 2007-02-05 07:13 AM - Magnus Homann

- Status changed from In Progress to Closed

- Resolution set to fixed

#12 - 2007-02-05 09:35 AM - Magnus Homann

With commit:df2b8b28 (SVN r6535), planimetric measurements are available as an option (for 0.9)

#13 - 2009-08-22 12:45 AM - Anonymous

Milestone Version 0.9 deleted
